Wiki | Community | Discussion Forum | Q&A

Error building catkin

Hi,
I’m having trouble building catkin on the mavlink_sitl_gazebo step.
The error is the following:


what should I do to solve it?

Hi @SusanaPineda,

Mavlink and PX4 are part of drones infrastructure, is that what do you want to install? If not, please check this related question.

Cheers,
Pedro.

This error appeared when I was installing jderobot by the first time with the instructions of the page (http://jderobot.github.io/RoboticsAcademy/installation/).
I can resolve it checking out an old commit from mavlink_sitl_gazebo in github and making “catkin build again”.

This is the commit I’ve check out: https://github.com/PX4/sitl_gazebo/pull/505/commits/7d9e300291a58eb697b560f89e97e530d4333cd1

Hi @SusanaPineda,

Have you installed the generic infrastructure? Is it working? Which exercises are you aiming to solve?

Cheers,
Pedro